Loading...
Searching...
No Matches
file.h File Reference

Misc file utilities. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include "attributes.h"`

Go to the source code of this file.

## Functions

av_warn_unused_result int | av_file_map (const char *filename, uint8_t **bufptr, size_t *size, int log_offset, void *log_ctx)
| Read the file with name filename, and put its content in a newly allocated buffer or map it with mmap() when available.
void | av_file_unmap (uint8_t *bufptr, size_t size)
| Unmap or free the buffer bufptr created by av_file_map().

## Detailed Description

Misc file utilities.

Definition in file file.h.

## Function Documentation

## av_file_map()

av_warn_unused_result int av_file_map | ( | const char * | filename,
|  | uint8_t ** | bufptr,
|  | size_t * | size,
|  | int | log_offset,
|  | void * | log_ctx )

Read the file with name filename, and put its content in a newly allocated buffer or map it with mmap() when available.

In case of success set *bufptr to the read or mmapped buffer, and *size to the size in bytes of the buffer in *bufptr. Unlike mmap this function succeeds with zero sized files, in this case *bufptr will be set to NULL and *size will be set to 0. The returned buffer must be released with av_file_unmap().

Parameters

  | filename | path to the file
  [out] | bufptr | pointee is set to the mapped or allocated buffer
  [out] | size | pointee is set to the size in bytes of the buffer
  | log_offset | loglevel offset used for logging
  | log_ctx | context used for logging

Returns
  a non negative number in case of success, a negative value corresponding to an AVERROR error code in case of failure

Examples
  avio_read_callback.c.

Referenced by main().

## av_file_unmap()

void av_file_unmap | ( | uint8_t * | bufptr,
|  | size_t | size )

Unmap or free the buffer bufptr created by av_file_map().

Parameters

  bufptr | the buffer previously created with av_file_map()
  size | size in bytes of bufptr, must be the same as returned by av_file_map()

Examples
  avio_read_callback.c.

Referenced by main().